#include <stdio.h>
#include "cv.h"
#include "cxcore.h"
#include "highgui.h"

#define SIZE_X 640
#define SIZE_Y 480


#define PIXVAL(iplimagep, x, y)  (*(uchar *)((iplimagep)->imageData  + (y) * (iplimagep)->widthStep + (x)))



int
main()
{
	int i, j;

	IplImage *img = cvCreateImage(cvSize(SIZE_X, SIZE_Y), IPL_DEPTH_8U, 1);

	for (j = 0; j < SIZE_Y; j++) {
		for (i = 0; i < SIZE_X; i++) {
			PIXVAL(img, i, j) = (i + j) % 256;
		}
	}

	cvNamedWindow("image", CV_WINDOW_AUTOSIZE);
	cvShowImage("image", img);

	cvWaitKey(0); // always needed for showing images
	cvSaveImage("saved.jpg", img);


	return 0;
}
